### Name: featureSignif
### Title: Feature significance for kernel density estimation
### Aliases: featureSignif
### Keywords: smooth

### ** Examples

## Non-interactive examples

## Univariate example
data(earthquake)
eq3 <- -log10(-earthquake[,3])

featureSignif(eq3, addSignifGradRegion=TRUE,xlab="-log(-depth)", bw=0.1)
featureSignif(eq3, plotSiZer=TRUE, xlab="-log(-depth)")

## Bivariate example

library(MASS)
data(geyser)

fs <- featureSignif(geyser, addSignifGradRegion=TRUE,
     addSignifCurvRegion=TRUE, bw=c(4.5, 0.37))
names(fs)

## Not run: 
##D ## Trivariate example
##D 
##D data(earthquake)
##D earthquake[,3] <- -log10(-earthquake[,3])
##D featureSignif(earthquake, scaleData=TRUE, addData=TRUE,
##D     bw=c(0.0381, 0.0381, 0.0442))
##D 
##D featureSignif(earthquake, addKDE=FALSE, scaleData=TRUE,
##D    addSignifGradRegion=TRUE, addSignifCurvRegion=TRUE,
##D    bw=c(0.0381, 0.0381, 0.0442),  
##D    xlim=c(0.4,0.5), ylim=c(0.4,0.5), zlim=c(0.8,0.9))
## End(Not run)

## Not run: 
##D ## Interactive examples
##D 
##D library(MASS)
##D data(geyser)
##D duration <- geyser$duration 
##D 
##D ## Univariate example
##D 
##D featureSignif(duration)
##D featureSignif(duration, addData=TRUE)
##D featureSignif(duration, addSignifGradRegion=TRUE, addSignifGradData=TRUE)
##D featureSignif(duration, addSignifCurvRegion=TRUE, addSignifCurvData=TRUE)
##D 
##D ## Bivariate example
##D 
##D featureSignif(geyser, addData=TRUE, addSignifGradRegion=TRUE,
##D    addSignifGradData=TRUE, bw=rbind(c(1, 0.1), c(5, 0.9)))
##D    ## bandwidths ranges: h1 in c(1, 5), h2 in c(0.1, 0.9)
##D 
##D ## Trivariate example
##D 
##D data(earthquake)
##D earthquake$depth <- -log10(-earthquake$depth)
##D featureSignif(earthquake, addSignifGradRegion=TRUE, scaleData=TRUE)
##D 
## End(Not run)



